Loading...
Searching...
No Matches
TypeConvTraits< signed char > Struct Reference

This one is only used to convert numpy BYTE and SBYTE to casa short. More...

`#include <PycArrayComCC.h>`

## Public Types

typedef signed char | casa_type
typedef npy_int8 | python_type

## Static Public Member Functions

static NPY_TYPES | pyType ()

## Detailed Description

This one is only used to convert numpy BYTE and SBYTE to casa short.

There is no back conversion, so an exception is thrown.

Definition at line 138 of file PycArrayComCC.h.

## Member Typedef Documentation

## casa_type

typedef signed char TypeConvTraits< signed char >::casa_type

Definition at line 139 of file PycArrayComCC.h.

## python_type

typedef npy_int8 TypeConvTraits< signed char >::python_type

Definition at line 140 of file PycArrayComCC.h.

## Member Function Documentation

## pyType()

NPY_TYPES TypeConvTraits< signed char >::pyType | ( |  | ) |

inline static

Definition at line 141 of file PycArrayComCC.h.

The documentation for this struct was generated from the following file:

- python/Converters/PycArrayComCC.h